<td-layout>
  <td-navigation-drawer
    flex
    [sidenavTitle]="name"
    [name]="user ? user.displayName : ''"
    [email]="user ? user.email : ''"
  >
    <mat-nav-list>
      <a [routerLink]="[item.route]" *ngFor="let item of routes" mat-list-item
        ><mat-icon>{{ item.icon }}</mat-icon
        >{{ item.title }}</a
      >
    </mat-nav-list>
    <div td-navigation-drawer-menu>
      <mat-nav-list>
        <a [routerLink]="[item.route]" *ngFor="let item of usermenu" mat-list-item
          ><mat-icon>{{ item.icon }}</mat-icon
          >{{ item.title }}</a
        >
      </mat-nav-list>
    </div>
  </td-navigation-drawer>
  <td-layout-nav [toolbarTitle]="name" navigationRoute="/">
    <button mat-icon-button td-menu-button tdLayoutToggle>
      <mat-icon>menu</mat-icon>
    </button>
    <!-- router outlet goes here -->
    <div layout-gt-sm="row" tdMediaToggle="gt-sm" [mediaClasses]="['push-sm']">
      <ng-content></ng-content>
    </div>
    <td-layout-footer>
      <div layout="row" layout-align="start center">
        <span class="mat-caption"
          >Copyright &copy; 2019 NG Blank. All rights reserved</span
        >
      </div>
    </td-layout-footer>
  </td-layout-nav>
</td-layout>
